# Uses of Interface
com.sun.jdi.request.ClassPrepareRequest

Packages that use ClassPrepareRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of ClassPrepareRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return ClassPrepareRequest
Modifier and Type
Method
Description
`ClassPrepareRequest`
EventRequestManager.`createClassPrepareRequest()`
Creates a new disabled `ClassPrepareRequest`.
Methods in com.sun.jdi.request that return types with arguments of type ClassPrepareRequest
Modifier and Type
Method
Description
`List<ClassPrepareRequest>`
EventRequestManager.`classPrepareRequests()`
Return an unmodifiable list of the enabled and disabled class prepare requests.